<inp2:adm_SetPopupSize width="750" height="560"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:site_domains"  prefix="site-domain" title_preset="site_domain_edit_in_commerce" tab_preset="Default"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('site-domain', '<inp2:site-domain_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							cancel_edit('site-domain', 'OnCancelEdit','<inp2:site-domain_SaveEvent/>','<inp2:m_Phrase label="la_FormCancelConfirmation" escape="1"/>');
						}
				 ) );

			 a_toolbar.AddButton( new ToolBarButton('reset_edit', '<inp2:m_phrase label="la_ToolTip_Reset" escape="1"/>', function() {
						reset_form('site-domain', 'OnReset', '<inp2:m_Phrase label="la_FormResetConfirmation" escape="1"/>');
					}
			 	) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('site-domain', '<inp2:site-domain_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('site-domain', '<inp2:site-domain_NextId/>');
						}
				 ) );

				a_toolbar.Render();

				<inp2:m_if check="site-domain_IsSingle">
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="site-domain_IsLast">
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="site-domain_IsFirst">
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:site-domain_SaveWarning name="grid_save_warning"/>
<inp2:site-domain_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="inp_edit_options" prefix="site-domain" field="BillingCountry" title="la_fld_BillingCountry" has_empty="1"/>
		<inp2:m_RenderElement name="inp_edit_options" prefix="site-domain" field="ShippingCountry" title="la_fld_ShippingCountry" has_empty="1"/>
		<inp2:m_RenderElement name="inp_edit_options" prefix="site-domain" field="PrimaryCurrencyId" title="la_fld_Currency" has_empty="1"/>
		<inp2:m_RenderElement name="inp_edit_picker" prefix="site-domain" field="Currencies" title="la_fld_Currencies" optprefix="curr" option_key_field="CurrencyId" option_value_field="Translation"/>
		<inp2:m_RenderElement name="inp_edit_options" prefix="site-domain" field="PrimaryPaymentTypeId" title="la_fld_PaymentType" has_empty="1"/>
		<inp2:m_RenderElement name="inp_edit_picker" prefix="site-domain" field="PaymentTypes" title="la_fld_PaymentTypes" optprefix="pt" option_key_field="PaymentTypeId" option_value_field="Name"/>
		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>
